Package org.drinkless.tdlib

# Class TdApi.EditTextCompositionStyle

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.TextCompositionStyle>
org.drinkless.tdlib.TdApi.EditTextCompositionStyle

Enclosing class:
  `TdApi`

public static class TdApi.EditTextCompositionStyle extends TdApi.Function<TdApi.TextCompositionStyle>
Edits a custom text composition style that was created by the current user.

Returns `TextCompositionStyle`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `customEmojiId`
  Identifier of the custom emoji corresponding to the style.
  `String`
  `name`
  Name of the style.
  `String`
  `prompt`
  Prompt that will be used for text composition; 1-getOption("text_composition_style_prompt_length_max") characters.
  `boolean`
  `showCreator`
  Pass true if the current user must be shown as the creator of the style.
  `String`
  `title`
  Title of the style; 1-getOption("text_composition_style_title_length_max") characters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditTextCompositionStyle()`
  Default constructor for a function, which edits a custom text composition style that was created by the current user.
  `EditTextCompositionStyle(String name, String title, long customEmojiId, String prompt, boolean showCreator)`
  Creates a function, which edits a custom text composition style that was created by the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Name of the style.

  - ### title

    public String title
    Title of the style; 1-getOption("text_composition_style_title_length_max") characters.

  - ### customEmojiId

    public long customEmojiId
    Identifier of the custom emoji corresponding to the style.

  - ### prompt

    public String prompt
    Prompt that will be used for text composition; 1-getOption("text_composition_style_prompt_length_max") characters.

  - ### showCreator

    public boolean showCreator
    Pass true if the current user must be shown as the creator of the style.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditTextCompositionStyle

    public EditTextCompositionStyle()
    Default constructor for a function, which edits a custom text composition style that was created by the current user.

    Returns `TextCompositionStyle`

  - ### EditTextCompositionStyle

    public EditTextCompositionStyle(String name, String title, long customEmojiId, String prompt, boolean showCreator)
    Creates a function, which edits a custom text composition style that was created by the current user.

    Returns `TextCompositionStyle`

    Parameters:
      `name` - Name of the style.
      `title` - Title of the style; 1-getOption("text_composition_style_title_length_max") characters.
      `customEmojiId` - Identifier of the custom emoji corresponding to the style.
      `prompt` - Prompt that will be used for text composition; 1-getOption("text_composition_style_prompt_length_max") characters.
      `showCreator` - Pass true if the current user must be shown as the creator of the style.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.TextCompositionStyle>`
    Returns:
      this.CONSTRUCTOR